Skip to main content
GET
/
derivatives
/
exchanges
/
{id}
Derivatives Exchange Data by ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/derivatives/exchanges/{id} \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "name": "Binance (Futures)",
  "open_interest_btc": 331945.73,
  "trade_volume_24h_btc": "587332.45",
  "number_of_perpetual_pairs": 592,
  "number_of_futures_pairs": 72,
  "image": "https://coin-images.coingecko.com/markets/images/466/small/binance_futures.jpg?1706864452",
  "year_established": 2019,
  "country": "Cayman Islands",
  "description": "",
  "url": "https://www.binance.com/",
  "tickers": [
    {
      "symbol": "0GUSDT",
      "base": "0G",
      "target": "USDT",
      "coin_id": "zero-gravity",
      "target_coin_id": "tether",
      "trade_url": "https://www.binance.com/en/futures/0GUSDT",
      "contract_type": "perpetual",
      "last": 0.473,
      "h24_percentage_change": -1.149,
      "index": 0.47388788,
      "index_basis_percentage": -0.066,
      "bid_ask_spread": 0.0004225649693639931,
      "funding_rate": 0.005,
      "open_interest_usd": 7505441.41551142,
      "h24_volume": 6822128,
      "converted_volume": {
        "btc": "42.0799463192663717990920674226785386061670893822933102624",
        "eth": "1536.67707296907453613610493674728740267430011541374571065838147892993088",
        "usd": "3222911.4917378246159226528"
      },
      "converted_last": {
        "btc": "0.0000061681554962419895667586517612508206539318947668958",
        "eth": "0.00022524893595797008442763092934452232539088978034621245902427827196",
        "usd": "0.4724202612055687926"
      },
      "last_traded": 1779809107,
      "expired_at": null
    },
    {
      "symbol": "1000000BOBUSDT",
      "base": "1000000BOB",
      "target": "USDT",
      "coin_id": "build-on-bnb",
      "target_coin_id": "tether",
      "trade_url": "https://www.binance.com/en/futures/1000000BOBUSDT",
      "contract_type": "perpetual",
      "last": 0.015,
      "h24_percentage_change": -3.331,
      "index": 0.01540057,
      "index_basis_percentage": 0.134,
      "bid_ask_spread": 0.001298701298701358,
      "funding_rate": 0.005,
      "open_interest_usd": 916291.34908113,
      "h24_volume": 44830706,
      "converted_volume": {
        "btc": "8.975935927077560026865126277039614163512381271518795395788",
        "eth": "327.26598326618858627284207444108921232850344104115627132937452733698970504",
        "usd": "688649.790093212658495595932"
      },
      "converted_last": {
        "btc": "0.000000200218482552506757909748873395828612726116364786198",
        "eth": "0.00000730004080832875097422829063724959433671429223178319501212794925284",
        "usd": "0.015361118562201823422"
      },
      "last_traded": 1779808948,
      "expired_at": null
    }
  ]
}
Use include_tickers=all to include all tickers, unexpired for unexpired tickers only, or leave blank to omit tickers.

SDK Examples

const response = await client.derivatives.exchanges.getID('binance_futures');

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

id
string
default:binance_futures
required

Derivative exchange ID. *refers to /derivatives/exchanges/list.

Query Parameters

include_tickers
enum<string>

Include tickers data. Default: tickers data is not included.

Available options:
all,
unexpired

Response

200 - application/json

Derivative exchange data

name
string
required

Derivatives exchange name

open_interest_btc
number | null
required

Derivatives exchange open interest in BTC

trade_volume_24h_btc
string
required

Derivatives exchange trade volume in BTC in 24 hours

number_of_perpetual_pairs
integer
required

Number of perpetual pairs in the derivatives exchange

number_of_futures_pairs
integer
required

Number of futures pairs in the derivatives exchange

image
string
required

Derivatives exchange image URL

year_established
integer | null
required

Derivatives exchange established year

country
string | null
required

Derivatives exchange incorporated country

description
string
required

Derivatives exchange description

url
string
required

Derivatives exchange website URL

tickers
object[]

Derivative tickers data, available when include_tickers is specified